Bug 1939608 - FilterToolbar component does not handle 'null' value for 'rowFilters' prop
Summary: FilterToolbar component does not handle 'null' value for 'rowFilters' prop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.z
Assignee: Jon Jackson
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1937018
Blocks: 1939609
TreeView+ depends on / blocked
 
Reported: 2021-03-16 17:08 UTC by Jon Jackson
Modified: 2021-04-05 13:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1937018
: 1939609 (view as bug list)
Environment:
Last Closed: 2021-04-05 13:56:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8394 0 None open [release-4.7] Bug 1939608: Fix null handling in FilterToolbar_ to prevent possible exceptions 2021-03-22 13:52:09 UTC
Red Hat Product Errata RHSA-2021:1005 0 None None None 2021-04-05 13:56:36 UTC

Comment 3 Yanping Zhang 2021-03-26 06:48:44 UTC
Checked on ocp 4.7 cluster with payload 4.7.0-0.nightly-2021-03-25-190433, since the All Instances tab is not rendered when only one API is provided in ocp 4.7, so I just do a regression test about operator instalation and check tabs on the operator page(including "All instances" tab for operator with multiple apis), no regression issue is found.

Comment 6 errata-xmlrpc 2021-04-05 13:56:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.5 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1005


Note You need to log in before you can comment on or make changes to this bug.